Subject: bug#49037: flyspell word correction frustrating

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Jun 2021 21:29:22 +0300

> From: [email-masked]
> Cc: [email-masked],
>  [email-masked]
> Date: Tue, 15 Jun 2021 20:24:27 +0200 (CEST)
> 
> >> 1. It does not tell me that aspell is the default
> 
> >Why should it? You set up your system with whatever spell-checker you
> >want, and Emacs uses that. It is not Emacs's business to tell you
> >which spell-checker to install and use.
> 
> I have multiple ones and make comparisons between them.  So I really want to know
> what it uses.  After all the information is there and that is what emacs actually does.
> Should I not be able to easily know what it is doing under the hood.  Emacs Self
> Documentation should help me with that.

Documentation cannot tell everything; if it tried, it'd become too
long and hard to read.  The details you are after are in the source
code; the documentation of each variable has a link to the source,
where you can see the gory details.

> >> 3. It does not describe that it searches PATH.
> 
> >That's an implementation detail. If you want to know those details,
> >you have the source to read and study. The user manual explains how
> >to use the commands, not how the commands work.
> 
> Explains with no examples or much description of ispell-program-name, which
> for me is very important.

Yours is a rare situation, so you shouldn't expect it to be covered in
the general documentation.

> Because Gnu Aspell was designed to replace Ispell, how about deprecating Ispell
> and simply have emacs-ispell be the general framework for orthographic study.

We already did that.